Bug 403911 - Review Request: aspell-ml - Malayalam wordlist for GNU Aspell
Review Request: aspell-ml - Malayalam wordlist for GNU Aspell
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 00:33 EST by Rajeesh
Modified: 2008-08-12 13:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 07:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rajeesh 2007-11-29 00:33:58 EST
Spec URL: http://download.savannah.nongnu.org/releases/smc/Spellchecker/aspell-ml.spec

SRPM URL: http://download.savannah.nongnu.org/releases/smc/Spellchecker/aspell-ml-0.04-1.fc9.src.rpm

Description: Malayalam Wordlist for GNU Aspell Spelling Checker
Comment 1 Parag AN(पराग) 2007-12-12 09:42:02 EST
Rajeesh,
  I would like to sponsor you provided you will start posting preliminary
(unofficial) reviews to other new package review requests.
Comment 2 Parag AN(पराग) 2007-12-31 21:56:12 EST
Rajneesh,
    Have you started reviewing to others packages?
Comment 3 Rajeesh 2008-01-11 00:44:45 EST
Parag,
       I've started unofficially reviewing packages, here goes the first one :
#416461 - https://bugzilla.redhat.com/show_bug.cgi?id=416461
Comment 4 Praveen A 2008-02-01 02:37:58 EST
Parag, that looks like a strange request to me (coming from debian background).
If the package is of good quality and people want to use it, what stops it from
being included in the repository? 

It would be definitely good for people to review other people's work but that
should not be a condition for including this work (again the way debian does it
looks right to me). It is a very important package and delay in getting it
included would not help anyone.

If the packaging meets the quality requirements of Fedora project I hope to see
it accepted soon.
Comment 5 Parag AN(पराग) 2008-02-01 03:26:50 EST
Blocking this review for Sponsor Needed
Comment 6 Parag AN(पराग) 2008-02-01 03:51:37 EST
Requesting any peoples watching this review to feel free to sponsor this package
submitter.

About sponsoring someone, I prefer to follow =>
"The best ways for you to illustrate your understanding of the packaging
guidelines are to submit quality packages and to assist with package reviews.
Prospective sponsors will want to see what reviews you have done, so go ahead
and tell them when you submit your first package review request and add comments
to your open review ticket with information about your activities."
---from http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

"So what's the downside to sponsoring someone? By sponsoring someone, you are
committing to the fact that if they break something you will fix it (or help
them in fixing it)."
---from http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored


Or good if you package hunspell-ml and swanlekha also and submit to Fedora, that
will be easy for sponsoring you :)
Comment 7 Rajeesh 2008-02-01 06:30:43 EST
I've reviewed another package, here -
https://bugzilla.redhat.com/show_bug.cgi?id=430441
Comment 8 Rajeesh 2008-02-01 06:47:04 EST
Another one - https://bugzilla.redhat.com/show_bug.cgi?id=430541
Comment 9 Parag AN(पराग) 2008-02-01 07:06:50 EST
rajeesh,
  Thanks for looking those 2 packages. But sorry to say thats not enough review
of checking rpm is building and rpmlint is silent. Just have a look at what
should you look while reviewing any package
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

For https://bugzilla.redhat.com/show_bug.cgi?id=430441 review, I don't see any
problem installing in manl directory as its one of standard directory of man
pages. Just have a look at /usr/share/man/manl/
Comment 10 Rajeesh 2008-02-01 08:06:40 EST
Thanks for the quick reply, Parag.

By mentioning 'spec file looks fine' on each of them, what I meant is all the
MUST and SHOULD are satisfied. Had there been any discrepancy, I would have
mentioned it clearly. If you want me to pinpoint each of the points, I can.

For #430441, I wasn't sure whether /usr/share/man/manl/ is a valid one or not.
Thanks a lot for the clarification.
Comment 11 Rahul Sundaram 2008-02-01 11:58:52 EST
(In reply to comment #4)
> Parag, that looks like a strange request to me (coming from debian background).
> If the package is of good quality and people want to use it, what stops it from
> being included in the repository? 
> 
> It would be definitely good for people to review other people's work but that
> should not be a condition for including this work (again the way debian does it
> looks right to me).

There are multiple differences and it wouldn't be suitable to expand on all of
that in a review request but briefly, Fedora sponsors the submitter (as opposed
to just the package) and then gives commit and upload access to not only the
individual package but nearly the entire repository. So it make sense for the
proposed maintainer to demonstrate reasonable amount of understanding of
packaging guidelines. The way they demonstrate that understanding is by
reviewing other packages before getting sponsored. This process is comparatively
very light weight. 
 
Comment 12 Rajeesh 2008-02-02 07:05:19 EST
Hello,

  Here's a detailed review of another package :
https://bugzilla.redhat.com/show_bug.cgi?id=252049
Comment 13 Praveen A 2008-02-02 22:16:51 EST
Rahul,

 Thanks for explaining the difference. I was trying to compare the two processes
and it makes sense now. In debian world it would be similar to getting official
DD (Debian Developer) status which could even last years to complete.
Comment 14 Parag AN(पराग) 2008-04-11 23:25:49 EDT
I am moving away from this review now.
Praveen,
  you better look for some one from existing fedora community to get this
package in F10 now. 
Comment 15 Praveen A 2008-04-14 02:02:54 EDT
Parag, we were looking upto F9 as a perfect solution for all Malayalam issues
and even after doing al the necessary steps from our side, this response is
really disappointing. It looks like Fedora does not care for our language and
I'm moving on. Now I don't care what happens with Fedora - it is disappointing,
but it is not the only distro available. There are others like debian who care
for our language and are responsible to our comments and requests.
Comment 16 Rahul Sundaram 2008-04-14 02:17:50 EDT
The sponsorship process does have a single point failure. One person stepping
away from a package review does not prevent you getting sponsored or getting a
package into Fedora. There are hundreds of packages waiting on
review/sponsorship currently and does not reflect anything specific about this one. 

http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored details the
process and has a list of sponsors you can get in touch with. 

Ask in #fedora-devel or post to fedora fonts list if you need additional help

https://www.redhat.com/archives/fedora-fonts-list/
Comment 17 Praveen A 2008-04-14 02:26:40 EDT
Rahul, this is not an isolated incident. See
https://bugzilla.redhat.com/show_bug.cgi?id=433584 for example. We see the
response  as "we don't care about Malayalam". 
Comment 18 Rahul Sundaram 2008-04-14 02:43:42 EDT
Bugzilla is not a discussion forum. 

Ideally those want to include new packages will submit it for review themselves
and get others in the community involved to review and approve it and not
necessarily rely on specific people. Regardless of that, smc-fonts package
already been submitted for review and will follow due process to get included
which is not tied up to releases. Feel free to drop me a line offlist or catch
me on IRC if you want to discuss this more. 

Comment 19 Parag AN(पराग) 2008-05-05 03:34:42 EDT
Time to take some actions on this stalled review.

1)This package needs some changes to be done in SPEC file.
-----------------------------------------------------------------------------
# Note that this package, like other aspell's language packs, does not come up
# cleanly through rpmlint, but with the following errors:
# E: aspell-ml no-binary
# E: aspell-ml only-non-binary-in-usr-lib
# This is because the package contains only data files which sit under /usr/lib.
# They have to stay there, as they are architecture-dependent (due to
# byte-ordering issues).
# E: aspell-ml configure-without-libdir-spec
#  The configure script isn't actually one generated by autoconf and doesn't accept
#  --libdir, so this error is bogus.
-------------------------------------------------------------------------------
Add above text in end of %description section in spec.

2) Update Source as well as URL in spec as
URL: http://aspell.net/
Source:
ftp://ftp.gnu.org/gnu/aspell/dict/ml/aspell-%{lang}-%{version}-%{langrelease}.tar.bz2

3) change version to 
Version: 0.03
   If version 0.04 is really out then can you please make it upstream at
ftp://ftp.gnu.org/gnu/aspell/dict/0index.html so that we can continue with same
0.04 packaged source in SRPM.
   Or provide direct download link in Source: tag in SPEC for 0.04 tarball.

4) make sure that when you do some change in SPEC, you should increase release
tag and add Changelog for what changes you did.



Comment 20 Parag AN(पराग) 2008-05-05 03:44:51 EDT
F9 is coming with new feature
http://fedoraproject.org/wiki/Releases/FeatureDictionary. You can see that to
have complete Dictionary support for Malayalam language in Fedora you should
submit hunspell-ml package also as suggested already in comment #6

Picking this package for official review.
Comment 21 Rajeesh 2008-05-14 01:53:39 EDT
Updated the SPEC and SRPM files. Version has been changed back to 0.03 as
version 0.04 is not yet upstream.

Spec URL:
http://download.savannah.nongnu.org/releases/smc/Spellchecker/aspell-ml.spec

SRPM URL:
http://download.savannah.gnu.org/releases/smc/Spellchecker/aspell-ml-0.03-2.fc9.src.rpm
Comment 22 Parag AN(पराग) 2008-05-14 03:20:49 EDT
Thanks for your updates.
1)I think you should not mix commented text with %description.
2)Use absolute path for Source URL.
 
Source0:       
ftp://ftp.gnu.org/gnu/aspell/dict/%{lang}/aspell6-%{lang}-%{version}-%{langrelease}.tar.bz2
Comment 23 Rajeesh 2008-05-14 04:07:20 EDT
Please clarify point 1) in Comment#22. In Comment#19, point 1) is to add this
comment at the end of %description, right?
Comment 24 Parag AN(पराग) 2008-05-14 04:41:35 EDT
(In reply to comment #23)
> Please clarify point 1) in Comment#22. In Comment#19, point 1) is to add this
> comment at the end of %description, right?

Sure. Looks like I confused you. you have done correct changes. Just to have
clean looking SPEC, I suggested to have one blank line in between %description
text and commented text. This is not blocker for this review. I will leave this
to you.
Comment 25 Parag AN(पराग) 2008-05-14 04:56:14 EDT
Also, I will suggest like other Indic aspell specs you should write description
text as

%description
GNU Aspell Malayalam Dictionary Package. Malayalam wordlist for this package is
prepared by Santhosh Thottingal <santhosh00 at gmail dot com>,
Swathanthra Malayalam Computing

AND

Summary to
Summary: GNU Aspell Malayalam Dictionary Package
Comment 26 Rajeesh 2008-05-15 00:58:21 EDT
All the changes mentioned are done, and files are uploaded in the same location
specified in Comment#21
Comment 27 Parag AN(पराग) 2008-05-15 02:07:36 EDT
Please make sure that whenever you did some changes in SPEC then increase
release count by 1 and add appropriate changelog like what things you
added/removed from old SPEC to newly submitted SPEC.
Comment 28 Parag AN(पराग) 2008-05-15 02:07:58 EDT
Review:
+ package builds in mock (development i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=610180
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
5ac03b3b0d0618b0aa470c9f5ac46866  aspell6-ml-0.03-1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package aspell-ml-0.03-2.fc10 ->
  Requires: aspell >= 12:0.60
+ Not a GUI app.

APPROVED.

Comment 29 Parag AN(पराग) 2008-05-15 02:09:44 EDT
Rajeesh,
   What is your Fedora account system name? You need to follow now
http://fedoraproject.org/wiki/CVSAdminProcedure also check more on review
process at http://fedoraproject.org/wiki/PackageReviewProcess.
Comment 30 Rajeesh 2008-05-15 03:00:10 EDT
Parag,
   My fedora account is - rajeeshknambiar
   I couldn't put the request for CVS module as fedora-cvs flag couldn't be set.
Comment 31 Parag AN(पराग) 2008-05-15 03:09:27 EDT
Will you please check if you have finished all steps given at
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a601c13b0950a89568deafa65f505b4b58ee869b
?
Comment 32 Parag AN(पराग) 2008-05-15 03:46:10 EDT
Rajeesh,
  I have sponsored you now :) You should try to set fedora-cvs flag to ?
If still you see some problem then wait for 1 hour and then try.
Comment 33 Rajeesh 2008-05-15 04:21:10 EDT
Thanks, Parag.

New Package CVS Request
=======================
Package Name: aspell-ml
Short Description: GNU Aspell Malayalam Dictionary Package
Owners: rajeeshknambiar
Branches: F-7 F-8 F-9
InitialCC: panemade
Cvsextras Commits: yes
Comment 34 Kevin Fenzi 2008-05-15 12:02:53 EDT
cvs done.
Comment 35 Parag AN(पराग) 2008-05-15 23:34:50 EDT
Rajeesh,
 You should now go through steps from 10 to 18 given on
http://fedoraproject.org/wiki/PackageMaintainers/Join to build your package for
all requested Fedora branches.
Comment 36 Rajeesh 2008-05-19 07:23:26 EDT
Package built successfully. Closing the bugzilla entry.
Comment 37 Parag AN(पराग) 2008-08-12 01:43:26 EDT
Package Change Request
======================
Package Name: aspell-ml
New Branches: EL-4 EL-5
Comment 38 Kevin Fenzi 2008-08-12 13:21:02 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.